Bug 27324 - Add ENABLE_RUBY to list of build options
Summary: Add ENABLE_RUBY to list of build options
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P3 Normal
Assignee: Nobody
URL:
Keywords: HTML5
Depends on:
Blocks: 3749
  Show dependency treegraph
 
Reported: 2009-07-15 17:45 PDT by Roland Steiner
Modified: 2009-07-21 02:57 PDT (History)
1 user (show)

See Also:


Attachments
patch: add ENABLE_RUBY build option (304.96 KB, patch)
2009-07-15 17:47 PDT, Roland Steiner
no flags Details | Formatted Diff | Diff
patch: add ENABLE_RUBY build option (22.81 KB, patch)
2009-07-15 18:14 PDT, Roland Steiner
levin: review-
Details | Formatted Diff | Diff
patch: add ENABLE_RUBY build option (fixed patch) (30.95 KB, patch)
2009-07-20 23:32 PDT, Roland Steiner
levin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Steiner 2009-07-15 17:45:17 PDT
In order to implement HTML5 ruby support, a new build option ENABLE_RUBY is required.
Comment 1 Roland Steiner 2009-07-15 17:47:02 PDT
Created attachment 32822 [details]
patch: add ENABLE_RUBY build option

Further outtake from larger ruby patch submitted to bug #3749, in order to reduce patch sizes.

This patch only adds the build options, but no actual functionality.
Comment 2 Roland Steiner 2009-07-15 18:14:04 PDT
Created attachment 32824 [details]
patch: add ENABLE_RUBY build option

Upload correct file. :p
Comment 3 David Levin 2009-07-19 00:29:20 PDT
Comment on attachment 32824 [details]
patch: add ENABLE_RUBY build option

Address the following few issues and I think it will be ready to land.

Two issues:
1. You appear to be missing changes to trunk/WebCore/GNUmakefile.am and trunk/WebCore/WebCore.vcproj/WebCoreCommon.vsprops (see http://trac.webkit.org/changeset/46021 for example changes to these files).
2. The changelog should have the following:

  Date Name line

  Reviewed by NOBODY (OOPS!).

  >Bug Title<
  >Bug Link<

  Description of change.

a. Your change logs appears to be missing the items in ><
b. Your description line seems to need to be indented one more space.
Comment 4 Roland Steiner 2009-07-20 23:32:52 PDT
Created attachment 33147 [details]
patch: add ENABLE_RUBY build option (fixed patch)

Uploaded a fixed patch that should address all mentioned issues.

(FWIW, my original ruby patch did include GNUMakefile.am, must have been a casualty of the patch split :p)
Comment 5 David Levin 2009-07-21 00:00:09 PDT
Comment on attachment 33147 [details]
patch: add ENABLE_RUBY build option (fixed patch)


> Index: WebKitTools/Scripts/build-webkit
> @@ -88,6 +88,9 @@ my @features = (
>      { option => "shared-workers", desc => "Toggle SharedWorkers support",
>        define => "ENABLE_SHARED_WORKERS", default => 0, value => \$sharedWorkersSupport },
>  
> +    { option => "ruby", desc => "Toggle HTML5 Ruby support",
> +      define => "ENABLE_RUBY", default => 1, value => \$rubySupport },
> +

To whoever is landing this one option is just slightly out of sort order so this should be fixed on landing.

>      { option => "svg", desc => "Toggle SVG support",
Comment 6 David Levin 2009-07-21 02:57:37 PDT
Committed as http://trac.webkit.org/changeset/46159